创建块时往块中添加Table后Table不显示的问题解决

7 篇文章 0 订阅
2 篇文章 0 订阅
                var btr = new BlockTableRecord();
                btr.Name = "我的块定义";

                //添加一个表子实体到块定义中
                Table table = new Table();
                table.SetSize(2, 2);
                table.SetRowHeight(100);
                table.SetColumnWidth(100);
                table.Cells[0, 0].TextString = "1";
                table.Cells[0, 1].TextString = "2";
                table.Cells[1, 0].TextString = "3";
                table.Cells[1, 1].TextString = "4";
                table.Position = new Point3d(0, 0, 0);

                btr.AppendEntity(table);
                bt.Add(btr);

                tans.AddNewlyCreatedDBObject(table);
                tans.AddNewlyCreatedDBObject(btr);

发现块虽然创建成功了,但是insert进图形空间后这个表不显示。经过调试后,发现需要调用Table的API:GenerateLayout()才能显示。

正确的代码为:

                var btr = new BlockTableRecord();
                btr.Name = "我的块定义";

                //添加一个表子实体到块定义中
                Table table = new Table();
                table.SetSize(2, 2);
                table.SetRowHeight(100);
                table.SetColumnWidth(100);
                table.Cells[0, 0].TextString = "1";
                table.Cells[0, 1].TextString = "2";
                table.Cells[1, 0].TextString = "3";
                table.Cells[1, 1].TextString = "4";
                table.Position = new Point3d(0, 0, 0);

				//在表的设置完成后,调用GenerateLayout API
                table.GenerateLayout();

                btr.AppendEntity(table);
                bt.Add(btr);

                tans.AddNewlyCreatedDBObject(table);
                tans.AddNewlyCreatedDBObject(btr);

  • 0
    点赞
  • 1
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值